Bug 790019 - jBPM Console doesn't load in Internet Explorer
jBPM Console doesn't load in Internet Explorer
Status: ASSIGNED
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: jBPM Console (Show other bugs)
BRMS 5.3.0.GA
Unspecified Windows
unspecified Severity urgent
: ---
: future
Assigned To: Kris Verlaenen
Lukáš Petrovický
: Regression, TestBlocker
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-13 09:02 EST by Zuzana Krejčová
Modified: 2016-07-31 21:13 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Business Central Console does not load in Internet Explorer 8 due to the version of GWT used. The suggested workaround is to an alternative web browser.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zuzana Krejčová 2012-02-13 09:02:29 EST
Description of problem:
Navigating to <ip>:<port>/jbpm-console results in a white page with the text "Loading ..." on it (plus the running "circle"), but the login screen takes too long to load (about a minute, half a minute if lucky just for the login screen), sometimes doesn't load at all. The user is then stuck with this screen.


Version-Release number of selected component (if applicable):
BRMS 5.3 ER3


How reproducible:
On Windows 2k3 server with IE8 - every time.
On Windows 2k8 server with IE9 - it loads in under one minute, but is still extremely slow, similar on Win7 with IE8.


Additional info:
The problem lies only with Internet Explorer - everything runs smoothly and quickly with Firefox. The Guvnor app loads just fine in both IE and Firefox (on the same machine and server).
Comment 3 Kris Verlaenen 2012-02-28 18:30:59 EST
I'm not sure how to reproduce this.  I have a Windows XP machine with IE that seems to be working fine.  We don't really have this issue being reported in the community either.
Comment 7 Kris Verlaenen 2012-04-17 09:23:42 EDT
It seems there are some issues with (the version of) GWT (we're using) and some combination of IE and Windows.  Unfortunately, there is nothing that we can do to fix the issue with IE because GWT in the version that the jbpm-console is using doesn't support it.

Do we still want to consider updating to a newer version of GWT (Guvnor has already upgraded to a newer version so that's probably the reason why it works) at this stage?  Or can we decide not to support IE?  Note that Designer probably has similar issues, as IE is not always behaving as it should.

Apparently installing the Google Chrome plugin in IE helps in most cases.  Could we try that as a workaround?
Comment 8 Lukáš Petrovický 2012-04-17 09:53:55 EDT
(In reply to comment #7)
> It seems there are some issues with (the version of) GWT (we're using) and some
> combination of IE and Windows.  Unfortunately, there is nothing that we can do
> to fix the issue with IE because GWT in the version that the jbpm-console is
> using doesn't support it.
> 
> Do we still want to consider updating to a newer version of GWT (Guvnor has
> already upgraded to a newer version so that's probably the reason why it works)
> at this stage?  Or can we decide not to support IE?  Note that Designer
> probably has similar issues, as IE is not always behaving as it should.

Dropping support for IE would definitely help. :-) Asking Prakash for input on this issue.
Comment 9 Toni Rikkola 2012-04-20 06:32:46 EDT
The community side jbpm-console will soon work with the latest GWT. The change however is so big and requires the latest community side Guvnor that it will be too big to merge into 5.3.x.

GWT in the current jbpm-console can't be just upgraded because of too many legacy dependencies.
Comment 10 Geoffrey De Smet 2012-04-23 11:18:19 EDT
Before modifying this as Won't fix, as a last result, we're trying if the upgrade from GWT 2.0.4 to GWT 2.1.1 fixes this issue:
  https://github.com/bpmc/bpm-console/commit/f2785f97e139dcdb7496463ef258763f6097fafe
Note that as Toni explained, upgrading to GWT 2.2 or higher is impossible due to the binary backwards incompatible GWT jars used by bpm-console.
Comment 11 Geoffrey De Smet 2012-04-23 11:25:35 EDT
The GWT upgrade was done in 2.3.X and master, but not in 2.4.x (the riftsaw branch)
Comment 12 Geoffrey De Smet 2012-04-25 11:40:50 EDT
Works on Internet Explorer 8.0.6001.19019 on Vista 8
Comment 13 Geoffrey De Smet 2012-04-25 11:41:21 EDT
Typo: "Windows Vista" instead of "Vista 8"
Comment 14 Ryan Zhang 2012-05-14 04:17:16 EDT
The fixed for this issue should be included in ER7. Please do verification on it.
Comment 15 Tihomir Surdilovic 2012-05-16 20:02:33 EDT
Fix for this issue cause issue https://bugzilla.redhat.com/show_bug.cgi?id=822127. We have reverted the "fix" for this BZ because the other one is most likely receiving a blocker flag.
Comment 16 Lukáš Petrovický 2012-05-17 04:50:22 EDT
Moving to future as this will be resolved by upgrading GWT in the future releases.
Comment 17 Lukáš Petrovický 2012-05-17 04:50:49 EDT
Also, this is no more a blocker for the release.
Comment 18 lcarlon 2012-06-07 20:10:03 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Business Central Console does not load in Internet Explorer 8 due to the version of GWT used. The suggested workaround is to an alternative web browser.
Comment 19 Zuzana Krejčová 2012-07-13 08:30:34 EDT
Good news - with GA it seems to work with IE9 on Win 2008 (32 bit). It is still not as fast as with Firefox but it definitely is better now. 
Bad news(?) - it (still) does not work with IE8 (on Win 2008 32 bit). It gets stuck on "Loading...", even before Login screen.

Overall, I'd say it is a (small) success.
Comment 20 Zuzana Krejčová 2012-11-13 10:42:37 EST
We have 5.3.1 ER4 and the Console fails to load even the login dialogue in IE9, again - stuck on "Loading...". This is a regression. Please, try to find what caused it now. It worked with ER3.
Comment 21 Tihomir Surdilovic 2012-11-19 12:33:07 EST
AFAIK there were no code changes in console since we started doing ERs so not sure how this could be code related.
Comment 23 Zuzana Krejčová 2013-04-15 07:46:14 EDT
I managed to make the jBPM Console work in IE8 and IE9 by enclosing a few lines in app/app.nocache.js in a try/catch block.

If you replace lines 191 to 195 (included) with this:

    if (navigator.userAgent.indexOf('MSIE') != -1) {
      try {
        var axo = new ActiveXObject('ShockwaveFlash.ShockwaveFlash.9');
        if (axo != null && axo != undefined)
          return 'yes';
      } catch (e) {
        return 'no';
      }
    }

it runs ok - new ActiveXObject('ShockwaveFlash.ShockwaveFlash.9') throws an exception ("Automation server can't create object") that is otherwise caught too late, which results in some html missing, the rest of the app not loading...

Can't say I understand much of the code but it didn't seem to break anything.
Comment 24 Alessandro Lazarotti 2013-05-21 11:00:35 EDT
Was this one already committed? 
We need this confirmation to productisation team start the builds.

Thanks
Comment 25 Zuzana Krejčová 2013-05-31 04:26:18 EDT
(In reply to Alessandro Lazarotti from comment #24)
> Was this one already committed? 
> We need this confirmation to productisation team start the builds.
> 
> Thanks

Sorry Alessandro, I kind of doubt this has been committed - the fix I mentioned can be done AFTER the app is built. It is a change made to the generated JavaScript code, as far as I understand. I'm not sure it will be that easy to fix it in the source code, if it even can be done.
Comment 26 Tihomir Surdilovic 2013-06-03 10:12:21 EDT
Zuzana is correct, this is a fix that has to be made post-compile as the .nocache files are generated. I think that this is fine to be done (if it does not break anything else, which it should not).

Thanks.
Comment 27 Lukáš Petrovický 2013-06-12 03:16:03 EDT
It was decided that this issue would not be fixed by the 5.3.1_2_2013 roll-up. Removing dependency.

Note You need to log in before you can comment on or make changes to this bug.